Subject: bug#31678: closed (Re: [bug#31678] [PATCH 2/2] gnu: elixir: Enable more tests and remove patch.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jun 2018 06:56:02 +0000

Your bug report

#31678: [PATCH 0/2] Elixir and Erlang improvements

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31678: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31678
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31678] [PATCH 2/2] gnu: elixir: Enable more tests and remove patch.
From: Christopher Baines <[email-masked]>
To: 宋文武 <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jun 2018 07:55:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

宋文武 <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Previously, due to issues in the erlang package, many tests would fail, and
>> the package would also nondeterministically fail to build. This is now
>> fixed (by patching occurances of /bin/sh in the erlang package), so all the
>> tests can be run.
>>
>> * gnu/packages/elixir.scm (elixir)[source]: Remove patches. The patch is no
>> longer necessary, as all the tests now pass.
>> [arguments]: Remove the fix-or-disable-tests phase, all the tests now
>> pass. Add a new set-home phase to set the HOME environment variable prior to
>> running the tests, as that was previously done at the start of the
>> fix-or-disable-tests phase.
>> * gnu/packages/patches/elixir-disable-failing-tests.patch: Delete this file,
>> as it is now unused.
>
> I think generally we only need to mention the ‘what’ parts, not the
> ‘why’ parts (“as …”) in the per-file details, but I guess it’s nothing
> wrong to do it :-)

I've pushed this now, thanks for taking a look :) I tweaked the
changelog to not repeat the why parts.

>> * gnu/local.mk: Remove now deleted patch.
> * gnu/local.mk (GNU_SYSTEM_MODULES): ...

Missed this bit, only just spotted what you were suggesting, sorry about
that.

>> ---
>>  gnu/local.mk                                  |   1 -
>>  gnu/packages/elixir.scm                       |  36 +--
>>  .../elixir-disable-failing-tests.patch        | 284 ------------------
>>  3 files changed, 6 insertions(+), 315 deletions(-)
>
> Cool, thank you!

Subject: [PATCH 0/2] Elixir and Erlang improvements
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 01 Jun 2018 14:46:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fix the erlang package to use sh from the store, and not hardcode
/bin/sh.

This means that the elixir package no longer nondeterministically fails
to build, and allows for getting all the tests to pass as well.

These are the related bug reports:
 - https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28034
 - https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29655

Christopher Baines (2):
  gnu: erlang: Patch occurrences of /bin/sh in the source.
  gnu: elixir: Enable more tests and remove patch.

 gnu/local.mk                                  |   1 -
 gnu/packages/elixir.scm                       |  36 +--
 gnu/packages/erlang.scm                       |  21 ++
 .../elixir-disable-failing-tests.patch        | 284 ------------------
 4 files changed, 27 insertions(+), 315 deletions(-)
 delete mode 100644 gnu/packages/patches/elixir-disable-failing-tests.patch